summaryrefslogtreecommitdiffstats
path: root/source/l/libraw1394/libraw1394.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libraw1394/libraw1394.SlackBuild')
-rwxr-xr-xsource/l/libraw1394/libraw1394.SlackBuild38
1 files changed, 30 insertions, 8 deletions
diff --git a/source/l/libraw1394/libraw1394.SlackBuild b/source/l/libraw1394/libraw1394.SlackBuild
index 7b274c814..e7e3feb68 100755
--- a/source/l/libraw1394/libraw1394.SlackBuild
+++ b/source/l/libraw1394/libraw1394.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Pierre Cazenave <pwcazenave@gmail.com>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,20 +23,34 @@
# Modified by Robby Workman <rworkman at slackware.com>
-VERSION=2.0.0
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:--j7}
+PKGNAM=libraw1394
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:--j7}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
- elif [ "$ARCH" = "i686" ]; then
+elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
- elif [ "$ARCH" = "x86_64" ]; then
+elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -47,7 +61,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $TMP/libraw1394-$VERSION
-tar xvf $CWD/libraw1394-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/libraw1394-$VERSION.tar.?z* || exit 1
cd libraw1394-$VERSION || exit 1
chown -R root:root .
find . \
@@ -79,10 +93,18 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/libraw1394-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README \
+ AUTHORS COPYING* INSTALL NEWS README* \
$PKG/usr/doc/libraw1394-$VERSION
find $PKG/usr/doc/libraw1394-$VERSION -type f -exec chmod 644 {} \;
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc